Bug 243791 - ruby's yaml module folds long-multiline data wrong (loses data)
Summary: ruby's yaml module folds long-multiline data wrong (loses data)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Vít Ondruch
QA Contact: BaseOS QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 21:59 UTC by Eric Eisenhart
Modified: 2012-06-20 13:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:24:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Eisenhart 2007-06-11 21:59:33 UTC
Description of problem:
ruby's yaml module defaults to mangling data that's multi-line and has a line over 80 chars long, 
dropping every 80th character (and replacing it with a newline).

Version-Release number of selected component (if applicable):
ruby-libs-1.8.1-7.EL4.8
ruby-1.8.1-7.EL4.8

How reproducible:
ruby -ryaml -e 'puts ("#\n"<<"A"*(YAML::DEFAULTS[:BestWidth]-1)<<"B"<<"A").to_yaml()'


Actual results:
--- >-2
#

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAA
A


Expected results:
--- |-
#
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAABA

or:
--- >-2
#

AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAA
BA

Comment 1 RHEL Product and Program Management 2010-10-22 19:00:05 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 2 Jiri Pallich 2012-06-20 13:24:46 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.